Subject: bug#26310: 25.1; Emacsclient to emacs --daemon frame/connection error

From: [email-masked]
Date: Sat, 15 Apr 2017 10:29:34 -0400

tags 26310 fixed
close 26310 25.2
quit

uLive System User <[email-masked]> writes:

> [email-masked] writes:
>
>> Live System User <[email-masked]> writes:
>>>
>>> Debugger entered--Lisp error: (wrong-type-argument stringp nil)
>>>   isearch-done(t)
>>>   isearch-cancel()
>>
>> Ah, that one.  This should be fixed already in 25.2, since #21091
>> "`isearch-done' called before `isearch-update' raises wrong-type-arg
>> error" was fixed.
>
>   I eval'ed your patched version of isearch.el into my Emacs daemon
>   and "emacsclient <file>" started working again, so thank you for
>   the fix.

Thanks for confirming.
   
>>
>> Do you happen to know how you got into this state though?  That
>> isearch-cancel is being called at all might be a bug in itself, although
>> I never found out how to reproduce it...
>
>   I don't recall what I was doing specifically.  I keep a long-running
>   Emacs daemon around and use emacsclient to connect to it regularly
>   to edit files and update my Gnu ELPA packages.

Yeah, the problem is that you wouldn't notice the state change
immediately, makes it pretty much impossible to catch this...